You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Heiko Z. <smi...@us...> - 2009-02-18 13:10:37
|
Update of /cvsroot/devil-linux/web/sitetools In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv20225 Modified Files: sponsors.php Log Message: added new donation Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.53 retrieving revision 1.54 diff -u -d -r1.53 -r1.54 --- sponsors.php 1 Sep 2008 15:38:15 -0000 1.53 +++ sponsors.php 18 Feb 2009 13:10:28 -0000 1.54 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.guteshandy.de" target="_blank">gutesHANDY.de</a></td> + <td align="right">$55</td> +</tr> +<tr> <td><a href="http://www.allround-talk.de" target="_blank">allround-talk.de</a></td> <td align="right">$50</td> </tr> |
|
From: Serge L. <sma...@us...> - 2009-02-16 23:56:51
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9004 Modified Files: iproute2 Log Message: - cosmetic fix. Put documentation into /usr/share Index: iproute2 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/iproute2,v retrieving revision 1.29 retrieving revision 1.30 diff -u -d -r1.29 -r1.30 --- iproute2 23 Apr 2007 20:17:58 -0000 1.29 +++ iproute2 16 Feb 2009 23:56:42 -0000 1.30 @@ -53,6 +53,9 @@ cp -dpR $TMPDIR/etc/* $ETCDIR/etc/ || exit 1 rm -rf $TMPDIR/etc || exit 1 + cp -dpR $TMPDIR/share $CDDIR/usr/ || exit 1 + rm -rf $TMPDIR/share || exit 1 + cp -dpR $TMPDIR/* $CDDIR/ || exit 1 rm -rf $TMPDIR || exit 1 fi |
|
From: Serge L. <sma...@us...> - 2009-02-12 00:02:38
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv2893 Modified Files: CHANGES md5sum.lst Log Message: - fixed "time" match of netfilter Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1239 retrieving revision 1.1240 diff -u -d -r1.1239 -r1.1240 --- CHANGES 9 Feb 2009 20:02:31 -0000 1.1239 +++ CHANGES 12 Feb 2009 00:02:21 -0000 1.1240 @@ -22,7 +22,8 @@ # 1.3.7 -- NFS client disabling option (sl/Stefan Engel) +- fixed "time" match of netfilter (sl) +- NFS client enable/disable option (sl/Stefan Engel) - updated EXAMPLES in dst (sl) - re-added frandom patch (sl) - initail support of squashfs3.4 (sl) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.466 retrieving revision 1.467 diff -u -d -r1.466 -r1.467 --- md5sum.lst 14 Jan 2009 19:03:10 -0000 1.466 +++ md5sum.lst 12 Feb 2009 00:02:21 -0000 1.467 @@ -311,7 +311,7 @@ 9bdffecce7ef910feaa06452d48843de src/joe-3.5.tar.gz dbd5f3b47ed13132f04c685d608a7547 src/jpegsrc.v6b.tar.gz ba3fd20e6c79e58422c3cc6b28718939 src/kbd-1.15.tar.gz -22ae27c1c5d9649e80508858a1c075ab src/kernel-patches-2.6.tar.bz2 +31e479efcd93f32bc428c37d95bb9132 src/kernel-patches-2.6.tar.bz2 31e7156698a6f214b4067afb9e13728f src/kid-0.9.6.tar.gz f32a9647deed175dd6bcc5e22d907541 src/krb5-1.6.3.tar.gz c5dba6b80f583070fe9e6ed6e0c2162e src/l2tpd-0.69.tar.gz |
|
From: Serge L. <sma...@us...> - 2009-02-09 20:02:41
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv5432 Modified Files: CHANGES Log Message: - fixed NFS client disable/enable option (sl/Stefan Engel) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1238 retrieving revision 1.1239 diff -u -d -r1.1238 -r1.1239 --- CHANGES 14 Jan 2009 19:03:10 -0000 1.1238 +++ CHANGES 9 Feb 2009 20:02:31 -0000 1.1239 @@ -22,6 +22,7 @@ # 1.3.7 +- NFS client disabling option (sl/Stefan Engel) - updated EXAMPLES in dst (sl) - re-added frandom patch (sl) - initail support of squashfs3.4 (sl) |
|
From: Serge L. <sma...@us...> - 2009-02-09 19:57:04
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv3654 Modified Files: prepare Log Message: - configurator issue fixed (disabling NFS client) Index: prepare =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/prepare,v retrieving revision 1.78 retrieving revision 1.79 diff -u -d -r1.78 -r1.79 --- prepare 17 Jun 2008 22:59:46 -0000 1.78 +++ prepare 9 Feb 2009 19:56:57 -0000 1.79 @@ -78,7 +78,7 @@ if [ "$CONFIG_NFS" == "y" ]; then cat $KERNEL_CONFIG_DIR/config_linux.nfs >> $KERNELDIR/.config || exit 1 else - echo "CONFIG_NFS=n" >> $KERNELDIR/.config || exit 1 + echo "CONFIG_NFS_FS=n" >> $KERNELDIR/.config || exit 1 fi if [ "$CONFIG_NFSD" == "y" ]; then |
|
From: Heiko Z. <smi...@us...> - 2009-02-06 13:05:09
|
Update of /cvsroot/devil-linux/build/scripts/config/linux-2.6 In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10035/config/linux-2.6 Modified Files: config_grsecurity Log Message: make sure we got all the line breaks we need Index: config_grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/linux-2.6/config_grsecurity,v retrieving revision 1.12 retrieving revision 1.13 diff -u -d -r1.12 -r1.13 --- config_grsecurity 7 Jan 2009 06:34:57 -0000 1.12 +++ config_grsecurity 6 Feb 2009 13:05:05 -0000 1.13 @@ -124,4 +124,4 @@ # # CONFIG_PAX_MEMORY_SANITIZE is not set # CONFIG_PAX_MEMORY_UDEREF is not set -# CONFIG_PAX_REFCOUNT is not set \ No newline at end of file +# CONFIG_PAX_REFCOUNT is not set |
|
From: Heiko Z. <smi...@us...> - 2009-02-06 13:05:09
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10035 Modified Files: grsecurity Log Message: make sure we got all the line breaks we need Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.39 retrieving revision 1.40 diff -u -d -r1.39 -r1.40 --- grsecurity 6 Feb 2009 12:57:01 -0000 1.39 +++ grsecurity 6 Feb 2009 13:05:05 -0000 1.40 @@ -33,8 +33,11 @@ bzcat $DL_DIR/src/grsecurity-2.*$CONFIG_LINUX_VERSION*.patch.bz2 | patch -p1 || exit 1 touch devil-linux-grsec-kernel-patches.done fi + # make sure we got all the line breaks we need + echo >> .config # add configuration to kernel config cat $KERNEL_CONFIG_DIR/config_grsecurity >> .config + echo >> .config set_kernel_option CONFIG_NETLABEL n set_kernel_option CONFIG_IP_NF_MATCH_STEALTH m set_kernel_option CONFIG_SECURITY_NETWORK y |
|
From: Heiko Z. <smi...@us...> - 2009-02-06 12:57:06
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9524 Modified Files: grsecurity Log Message: oops Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.38 retrieving revision 1.39 diff -u -d -r1.38 -r1.39 --- grsecurity 1 Feb 2009 19:59:09 -0000 1.38 +++ grsecurity 6 Feb 2009 12:57:01 -0000 1.39 @@ -41,7 +41,7 @@ set_kernel_option CONFIG_SECURITY_NETWORK_XFRM y set_kernel_option CONFIG_SECURITY_ROOTPLUG n set_kernel_option CONFIG_SECURITY_DEFAULT_MMAP_MIN_ADDR 0 - set_kernel_option CONFIG_NETLABEL N + set_kernel_option CONFIG_NETLABEL n set_kernel_option CONFIG_IP_NF_SECURITY m set_kernel_option CONFIG_IP6_NF_SECURITY m |
|
From: Serge L. <sma...@us...> - 2009-02-05 05:55:06
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9059 Modified Files: file Log Message: - bugfix, was two versions of libmagic in the system Index: file =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/file,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- file 12 Dec 2004 21:48:08 -0000 1.5 +++ file 5 Feb 2009 05:55:01 -0000 1.6 @@ -31,6 +31,8 @@ # w/$PMAKE aborts with -j2 09/22/2003 (bs) make all || exit 1 strip_debug + # we have to install this immediately, because this is a library (libmagic) and could be needed by other sources + make install || exit 1 fi ;; |
|
From: Serge L. <sma...@us...> - 2009-02-04 23:24:53
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv20843 Modified Files: install-on-usb Log Message: - bugfix Index: install-on-usb =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v retrieving revision 1.29 retrieving revision 1.30 diff -u -d -r1.29 -r1.30 --- install-on-usb 29 Jan 2009 01:11:31 -0000 1.29 +++ install-on-usb 4 Feb 2009 23:24:46 -0000 1.30 @@ -255,6 +255,7 @@ if [ -b "$DLISO" ]; then mount -t iso9660 -o ro $DLISO $TMPDIR/iso-mnt || return 1 + IMAGE="bootcd.iso" else mount -o loop,ro -t auto $DLISO $TMPDIR/iso-mnt || return 1 |
|
From: Heiko Z. <smi...@us...> - 2009-02-01 19:59:16
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7698 Modified Files: glibc grsecurity Log Message: added some missing parameters and enable glibc to compile without security settings Index: glibc =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/glibc,v retrieving revision 1.55 retrieving revision 1.56 diff -u -d -r1.55 -r1.56 --- glibc 17 Feb 2008 22:08:32 -0000 1.55 +++ glibc 1 Feb 2009 19:59:09 -0000 1.56 @@ -97,6 +97,10 @@ sed -i '/vi_VN.TCVN/d' localedata/SUPPORTED + if [ "$CONFIG_GCC_HARDENED" != "y" ]; then + CFLAGS="$CFLAGS -O1" + fi + ../glibc-2*/configure --prefix=/usr --disable-profile --enable-add-ons --libexecdir=/usr/lib/glibc \ --enable-kernel=2.6.0 --enable-bind-now --enable-stackguard-randomization --with-prng-device=/dev/erandom || exit 1 Index: grsecurity =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/grsecurity,v retrieving revision 1.37 retrieving revision 1.38 diff -u -d -r1.37 -r1.38 --- grsecurity 14 Jul 2008 12:50:19 -0000 1.37 +++ grsecurity 1 Feb 2009 19:59:09 -0000 1.38 @@ -41,6 +41,9 @@ set_kernel_option CONFIG_SECURITY_NETWORK_XFRM y set_kernel_option CONFIG_SECURITY_ROOTPLUG n set_kernel_option CONFIG_SECURITY_DEFAULT_MMAP_MIN_ADDR 0 + set_kernel_option CONFIG_NETLABEL N + set_kernel_option CONFIG_IP_NF_SECURITY m + set_kernel_option CONFIG_IP6_NF_SECURITY m # start oldconfig, in case there are new options make oldconfig || exit 1 |
|
From: Serge L. <sma...@us...> - 2009-01-29 05:18:47
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv12722 Modified Files: default Log Message: - added several well-tested features Index: default =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/default,v retrieving revision 1.94 retrieving revision 1.95 diff -u -d -r1.94 -r1.95 --- default 10 Jan 2009 17:28:02 -0000 1.94 +++ default 29 Jan 2009 05:18:41 -0000 1.95 @@ -36,6 +36,7 @@ CONFIG_DOSFSTOOLS=y CONFIG_DOVECOT=y CONFIG_DSPAM=y +CONFIG_DST=y CONFIG_DVDRWTOOLS=y CONFIG_EAGLE_USB=n CONFIG_EBTABLES=y @@ -67,7 +68,7 @@ CONFIG_ID3=y CONFIG_ID3V2=y CONFIG_IMAGEMAGICK=y -CONFIG_INITRD_FS=EXT2 +CONFIG_INITRD_FS=INITRAMFS CONFIG_INOTIFYTOOLS=y CONFIG_IPAC_NG=y CONFIG_IPROUTE2=y @@ -188,6 +189,7 @@ CONFIG_SMARTMONTOOLS=y CONFIG_SNORT=y CONFIG_SQLITE=y +CONFIG_SQUASHFS=y CONFIG_SQUID=y CONFIG_SQUIDGUARD=y CONFIG_STUNNEL=y |
|
From: Serge L. <sma...@us...> - 2009-01-29 02:57:05
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv30935 Modified Files: linuxrc mount_cdrom Log Message: - updater now supports squashfs images and the both bootloaders (syslinux and grub) Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.103 retrieving revision 1.104 diff -u -d -r1.103 -r1.104 --- linuxrc 7 Jan 2009 06:37:14 -0000 1.103 +++ linuxrc 29 Jan 2009 02:56:54 -0000 1.104 @@ -182,6 +182,24 @@ return 1 } +reboot_if_updated() { +# check if the DL ISO got upgraded +# should be invoked after each mount_cdrom execution. + if [ -e /shm/dl_iso_replaced ]; then + sync + umount /cd || mount -o remount,ro /cd + umount /floppy || mount -o remount,ro /floppy + umount /cdrom || mount -o remount,ro /cdrom + $RED + echo "Rebooting..." + sleep 3 + reboot + echo "Oops... something goes wrong..." + $NORMAL + /bin/sh + fi +} + # make sure all kernel warnings get lost (seriously!) klogd -c 1 @@ -297,6 +315,7 @@ $NORMAL continue fi + reboot_if_updated mount -n -t auto $CFG_SRC /floppy >/dev/null 2>&1 || continue cp -i /cdrom/config/etc-mods.tar.bz2 /floppy/ || continue umount /cdrom @@ -338,16 +357,6 @@ mkdir -p /shm/root fi -# check if the DL ISO got upgraded -if [ -e /shm/dl_iso_replaced ]; then - cd /cdrom - #change to new root - pivot_root . initrd - $RED - echo "Rebooting..." - $NORMAL - exec /usr/sbin/chroot . /sbin/reboot -f -fi $GREEN echo "loading configuration" @@ -357,6 +366,7 @@ if [ ! -e /cdrom/DEVIL-LINUX ] ; then # find the CDROM /mount_cdrom /cdrom + reboot_if_updated fi tar -C /shm -xjf /cdrom/config/etc-mods.tar.bz2 # @@ -389,6 +399,7 @@ if [ ! -e /cdrom/DEVIL-LINUX ] ; then # find the CDROM /mount_cdrom /cdrom + reboot_if_updated fi DL_DEVICE=$(cat /shm/DL_DEVICE) Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.48 retrieving revision 1.49 diff -u -d -r1.48 -r1.49 --- mount_cdrom 26 Jan 2009 23:55:34 -0000 1.48 +++ mount_cdrom 29 Jan 2009 02:56:54 -0000 1.49 @@ -77,6 +77,22 @@ kill $busypid >/dev/null 2>&1; usleep ${DELAY} } +beep () { + # $1 = optional, number of times to beep (default=1) + # $2 = optional, sleep that many seconds between beeps (default=1) + # $3 = optional, print this with 'echo -n' after each sleep + local count=${1:-1} + local waitcnt=${2:-1} + local string=$3 + + while [ $count -gt 0 ]; do + echo -en "\007" + [ -n "$string" ] && echo -en "$string" + let count-- + [ $count -gt 0 ] && sleep $waitcnt + done +} + run_from_ram () { # # usage: run_from_ram [--cdrom|--file] @@ -235,6 +251,46 @@ return 0 } +manual_recovery () { + $RED + beep 5 + echo " Critical error!" + echo "Most probably the system will not boot up after reset!" + echo "You can try to recover the system manually or reinstall it!" + $NORMAL + echo "The system partition is mounted to ${FILEMOUNT}" + echo "Exit from shell will cause reboot." + /sbin/sh + sync + exit 1 +} + +copy_bootfiles () { + + # we don't know where kernel and initrd are + # they maybe either in / (syslinux) or in /boot (grub) + if [ -e ${FILEMOUNT}/boot/vmlinuz ]; then + PREFIX="boot" + fi + + # We are copying the following files only: + # System.map, initrd.gz, vmlinuz, memtest + # because we shouldn't overwrite neither boot loader + # config files nor the bootloader itself. + # make sure we set the file permission secure + for i in System.map initrd.gz vmlinuz memtest + do + cp -fp ${mountpoint}/boot/$i ${FILEMOUNT}/${PREFIX}/ || + ( echo "Error during copying \"${mountpoint}/boot/$i\" to \"${FILEMOUNT}/${PREFIX}/\""; return 1 ) + chown -R 0.0 ${FILEMOUNT}/${PREFIX}/$i + chmod -R u+rw,g-rwx,o-rwx ${FILEMOUNT}/${PREFIX}/$i + done + + cp -fp ${mountpoint}/DEVIL-LINUX ${FILEMOUNT}/ + + sync +} + if [ ! $silent ]; then $GREEN echo "Searching for Devil-Linux CD-ROM" @@ -313,7 +369,8 @@ $GREEN echo "media found" $NORMAL - if [ -e /cd/bootcd.iso.new ] ; then + + if [[ "$(ls ${FILEMOUNT}/bootcd.*.new 2>/dev/null)" != "" ]]; then $BLUE echo "****************************" echo "* Found Devil-Linux update *" @@ -321,37 +378,69 @@ echo echo "Backing up old version" $RED - rm -f /cd/bootcd.iso.old &> /dev/null - mv /cd/bootcd.iso /cd/bootcd.iso.old || echo "Backup failed" + rm -f ${FILEMOUNT}/bootcd.*.old &> /dev/null + for i in $( ls ${FILEMOUNT}/bootcd.* | grep -v ".new" ) + do + mv $i $i.old || echo "Backup failed" + done $BLUE echo "Activating new version" - $RED - rm -f /cd/bootcd.iso &> /dev/null - if mv /cd/bootcd.iso.new /cd/bootcd.iso ; then + + if [ -e ${FILEMOUNT}/bootcd.squash.new ] ; then + IMAGE="bootcd.squash" + IMAGEFS="squashfs" + elif [ -e ${FILEMOUNT}/bootcd.iso.new ] ; then + IMAGE="bootcd.iso" + IMAGEFS="iso9660" + fi + + if mv -f ${FILEMOUNT}/${IMAGE}.new ${FILEMOUNT}/${IMAGE} ; then # create flag file, so the other scripts know about it touch /shm/dl_iso_replaced $BLUE echo "Upgrading System Boot Files" $NORMAL - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso /cdrom + /sbin/mount -o loop -t ${IMAGEFS} ${FILEMOUNT}/${IMAGE} ${mountpoint} - cp -fp /cdrom/boot/* /cd/boot/ 2> /dev/null - cp -fp /cdrom/DEVIL-LINUX /cd/ - # make sure we set the file permission secure - chown -R 0.0 /cd/* - chmod -R u+rw,g-rwx,o-rwx /cd/* + if ! copy_bootfiles ; then - sync - /sbin/umount /cdrom &> /dev/null - - $GREEN - echo "Mounting old version" - $NORMAL - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso.old ${mountpoint} || return 1 - echo $disk > /shm/DL_DEVICE - dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` - exit 0 + /sbin/umount ${mountpoint} &> /dev/null + + $RED + echo "Errors during System Boot Files upgrading." + echo "Recovering the previous system..." + + $GREEN + echo "Mounting old version" + $NORMAL + + if [ -e ${FILEMOUNT}/bootcd.squash.old ] ; then + IMAGE="bootcd.squash" + IMAGEFS="squashfs" + elif [ -e ${FILEMOUNT}/bootcd.iso.old ] ; then + IMAGE="bootcd.iso" + IMAGEFS="iso9660" + else + echo "No backup was found!" + manual_recovery + fi + + /sbin/mount -o loop -t ${IMAGEFS} ${FILEMOUNT}/${IMAGE}.old ${mountpoint} + + copy_bootfiles || ( manual_recovery ) + + /sbin/umount ${mountpoint} + + mv -f ${FILEMOUNT}/${IMAGE}.old ${FILEMOUNT}/${IMAGE} || + ( echo "Error during renaming \"${IMAGE}.old\" to \"${IMAGE}\""; manual_recovery ) + echo "The image and system boot files have been recovered..." + else + echo "System has been updated." + sync + fi + # Update is complete + exit 0 else echo "Activation failed" fi @@ -360,6 +449,7 @@ $NORMAL fi + if [[ "$(ls ${FILEMOUNT}/bootcd.* | grep -v '.old' 2>/dev/null)" != "" ]]; then echo $disk > /shm/DL_DEVICE |
|
From: Serge L. <sma...@us...> - 2009-01-29 01:11:42
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv20087 Modified Files: install-on-usb Log Message: - added squashfs image installation Index: install-on-usb =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/install-on-usb,v retrieving revision 1.28 retrieving revision 1.29 diff -u -d -r1.28 -r1.29 --- install-on-usb 7 Oct 2008 19:16:47 -0000 1.28 +++ install-on-usb 29 Jan 2009 01:11:31 -0000 1.29 @@ -47,7 +47,7 @@ nice cp $PRESERVE $1 $2 || return 1 return 0 else - echo "$1 is not a valid source for the ISO" + echo "$1 is not a valid source for the DL image" return 1 fi } @@ -242,7 +242,7 @@ mkdir -p $TMPDIR/etc-for-mods || return 1 echo - read -p "Enter DL ISO source (disk file or CD device) -> " DLISO + read -p "Enter DL source (DL image file or CD device) -> " DLISO if [ -L "$DLISO" ]; then DLISO=$(readlink -fns $DLISO) @@ -256,11 +256,22 @@ if [ -b "$DLISO" ]; then mount -t iso9660 -o ro $DLISO $TMPDIR/iso-mnt || return 1 else - mount -o loop,ro -t iso9660 $DLISO $TMPDIR/iso-mnt || return 1 + mount -o loop,ro -t auto $DLISO $TMPDIR/iso-mnt || return 1 + + IMAGEFS="$(cat /proc/mounts | grep 'install2usb/iso-mnt' | cut -f3 -d' ')" + if [ "x$IMAGEFS" = "xsquashfs" ]; then + IMAGE="bootcd.squash" + elif [ "x$IMAGEFS" = "xiso9660" ]; then + IMAGE="bootcd.iso" + else + echo "Unsupported image format: $IMAGEFS" + return 1 + fi fi + if [ -f "$TMPDIR/iso-mnt/DEVIL-LINUX" ]; then dl_version=`cat $TMPDIR/iso-mnt/DEVIL-LINUX` - echo " Devil Linux $dl_version found in ISO" + echo " Devil Linux $dl_version found in Image" else echo echo "$DLISO does not seem to contain Devil-Linux!" @@ -287,7 +298,7 @@ ask_yes_no && $FDISK $DEVICE echo - read -p "Enter PARTITION name of disk device to put ISO file (i.e. /dev/sda1) -> " PARTITION + read -p "Enter PARTITION name of disk device to put Image file (i.e. /dev/sda1) -> " PARTITION if [ -L "$PARTITION" ]; then PARTITION=$(readlink -fns $PARTITION) @@ -379,7 +390,7 @@ cp $TMPDIR/iso-mnt/{DEVIL-LINUX,LICENSE} $TMPDIR/disk-mnt/ &> /dev/null || return 1 cat $TMPDIR/iso-mnt/isolinux.cfg | sed -e s%"/boot/"%""% > $TMPDIR/disk-mnt/syslinux.cfg || return 1 cat $TMPDIR/iso-mnt/boot/message | sed -e s%"/boot/"%""% > $TMPDIR/disk-mnt/message || return 1 - copy_iso_file $DLISO $TMPDIR/disk-mnt/bootcd.iso not_save_permissions || return 1 + copy_iso_file $DLISO $TMPDIR/disk-mnt/$IMAGE not_save_permissions || return 1 if [ "$SERIAL_CONSOLE" = "true" ]; then cp -a $TMPDIR/disk-mnt/syslinux.cfg $TMPDIR/syslinux.cfg && (echo "serial 0 $SERIALSPEED" > $TMPDIR/disk-mnt/syslinux.cfg && cat $TMPDIR/syslinux.cfg | sed -e s/"append"/"append console=tty0 console=ttyS0,$SERIALSPEED"/g >> $TMPDIR/disk-mnt/syslinux.cfg ) || ( echo "Unable to modify syslinux.cfg file"; return 1 ) @@ -399,7 +410,7 @@ echo "copying files" cp -a $TMPDIR/iso-mnt/boot/ $TMPDIR/disk-mnt/ > /dev/null || return 1 cp -p $TMPDIR/iso-mnt/{DEVIL-LINUX,LICENSE} $TMPDIR/disk-mnt/ > /dev/null || return 1 - copy_iso_file $DLISO $TMPDIR/disk-mnt/bootcd.iso || return 1 + copy_iso_file $DLISO $TMPDIR/disk-mnt/$IMAGE || return 1 if [ -f "/DEVIL-LINUX" ]; then echo;echo -n "Would you like to modify initrd image (it's mandatory if you have chosen not ext2 fs)?" |
|
From: Serge L. <sma...@us...> - 2009-01-28 00:41:00
|
Update of /cvsroot/devil-linux/build/scripts/config In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv4511/scripts/config Modified Files: config_busybox Log Message: - disable init support for benefit of "reboot" command (we don't use init in initrd anyway) Index: config_busybox =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/config_busybox,v retrieving revision 1.36 retrieving revision 1.37 diff -u -d -r1.36 -r1.37 --- config_busybox 24 Jul 2008 22:03:12 -0000 1.36 +++ config_busybox 28 Jan 2009 00:40:50 -0000 1.37 @@ -1,7 +1,7 @@ # # Automatically generated make config: don't edit # Busybox version: 1.11.1 -# Tue Jul 22 14:08:20 2008 +# Mon Jan 26 19:50:36 2009 # CONFIG_HAVE_DOT_CONFIG=y @@ -370,16 +370,16 @@ # # Init Utilities # -CONFIG_INIT=y +# CONFIG_INIT is not set # CONFIG_DEBUG_INIT is not set -CONFIG_FEATURE_USE_INITTAB=y -CONFIG_FEATURE_KILL_REMOVED=y +# CONFIG_FEATURE_USE_INITTAB is not set +# CONFIG_FEATURE_KILL_REMOVED is not set CONFIG_FEATURE_KILL_DELAY=0 -CONFIG_FEATURE_INIT_SCTTY=y -CONFIG_FEATURE_INIT_SYSLOG=y +# CONFIG_FEATURE_INIT_SCTTY is not set +# CONFIG_FEATURE_INIT_SYSLOG is not set # CONFIG_FEATURE_EXTRA_QUIET is not set # CONFIG_FEATURE_INIT_COREDUMPS is not set -CONFIG_FEATURE_INITRD=y +# CONFIG_FEATURE_INITRD is not set CONFIG_HALT=y # CONFIG_MESG is not set |
|
From: Serge L. <sma...@us...> - 2009-01-26 23:55:53
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv8000 Modified Files: mount_cdrom Log Message: - bug fixing and clearing Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.47 retrieving revision 1.48 diff -u -d -r1.47 -r1.48 --- mount_cdrom 23 Jan 2009 01:55:59 -0000 1.47 +++ mount_cdrom 26 Jan 2009 23:55:34 -0000 1.48 @@ -295,6 +295,7 @@ DEVICES_IDE=`find /dev -name "hd??" 2> /dev/null` DISCS_SCSI=`find /dev -name "sd??" 2> /dev/null` DISCS="$DEVICES_IDE $DISCS_SCSI" +FILEMOUNT="/cd" if [ "$DEVICE_USER_ONLY" != "0" ]; then $RED @@ -306,9 +307,9 @@ for disk in $DISCS do echo -n " checking $disk ... " - umount /cd 2> /dev/null - if /sbin/mount -n -t auto -o rw,noatime $disk /cd 2> /dev/null; then - if [ -e /cd/DEVIL-LINUX ] ; then + umount ${FILEMOUNT} 2> /dev/null + if /sbin/mount -n -t auto -o rw,noatime $disk ${FILEMOUNT} 2> /dev/null; then + if [ -e ${FILEMOUNT}/DEVIL-LINUX ] ; then $GREEN echo "media found" $NORMAL @@ -358,14 +359,14 @@ sync $NORMAL fi - if [[ $(ls /cd/bootcd.* 2>/dev/null) != "" ]]; then + + if [[ "$(ls ${FILEMOUNT}/bootcd.* | grep -v '.old' 2>/dev/null)" != "" ]]; then echo $disk > /shm/DL_DEVICE - FILEMOUNT="/cd" - if [ -e /cd/bootcd.squash ] ; then + if [ -e ${FILEMOUNT}/bootcd.squash ] ; then IMAGE="bootcd.squash" IMAGEFS="squashfs" - elif [ -e /cd/bootcd.iso ] ; then + elif [ -e ${FILEMOUNT}/bootcd.iso ] ; then IMAGE="bootcd.iso" IMAGEFS="iso9660" else @@ -389,7 +390,7 @@ # RO will make it less painfull. /sbin/mount -o remount,ro,noatime $disk 2> /dev/null /sbin/mount -o loop -t ${IMAGEFS} ${FILEMOUNT}/${IMAGE} ${mountpoint} || return 1 - dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` + dl_version=`cat ${FILEMOUNT}/DEVIL-LINUX 2> /dev/null` if [ ! $silent ]; then $YELLOW echo -e "\nFound ISO ($dl_version) on $disk" @@ -402,7 +403,7 @@ $YELLOW echo "wrong media" $NORMAL - /sbin/umount /cd + /sbin/umount ${FILEMOUNT} fi else $RED |
|
From: Serge L. <sma...@us...> - 2009-01-23 03:16:44
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv681 Modified Files: mount_cdrom Log Message: - one more step to squashfs'ed image support Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.46 retrieving revision 1.47 diff -u -d -r1.46 -r1.47 --- mount_cdrom 7 Jan 2009 06:37:14 -0000 1.46 +++ mount_cdrom 23 Jan 2009 01:55:59 -0000 1.47 @@ -131,8 +131,6 @@ ## FIXME # we should probably define these somewhere more central local RAMDISK=/shm/sys # this has to be under /shm as this one is mount moved in linuxrc - local FILEMOUNT=/cd - local ISOFILE=bootcd.iso # show that we are configured to run from ram $YELLOW; echo 'System is configured to run from ram'; $NORMAL @@ -141,7 +139,7 @@ # get size of image so we can estimate the needed ramdisk space case ${MEDIATYPE} in CDROM ) IMAGE_SIZE=$(df ${mountpoint} | grep "${mountpoint}" | awk '{print $(NF-4)}');; - FILE ) IMAGE_SIZE=$(du -k ${FILEMOUNT}/${ISOFILE} | awk '{print $1}');; + FILE ) IMAGE_SIZE=$(du -k ${FILEMOUNT}/${IMAGE} | awk '{print $1}');; esac let IMAGE_SIZE_MB=IMAGE_SIZE*10/1024+5 # do correct rounding let IMAGE_SIZE_MB=IMAGE_SIZE_MB/10 @@ -161,7 +159,7 @@ dd if=$disk of=${RAMDISK}/${ISOFILE} bs=2048 >/dev/null 2>&1 || COPY2RAM='fail' ;; FILE ) # it's a file so copy will do - cp ${FILEMOUNT}/${ISOFILE} ${RAMDISK}/${ISOFILE} >/dev/null 2>&1 || COPY2RAM='fail' + cp ${FILEMOUNT}/${IMAGE} ${RAMDISK}/${IMAGE} >/dev/null 2>&1 || COPY2RAM='fail' ;; esac busy_stop @@ -180,7 +178,7 @@ # check if ramdisk is full, then this is an indication that the image was to big during # copying - this should never happen, but better save than sorry # if [ "$(df ${RAMDISK} | grep "${RAMDISK}" | awk '{print $(NF-2)}')" -eq 0 ]; then - if [ x"$COPY2RAM" = "xfail" ]; then + if [ "x$COPY2RAM" = "xfail" ]; then $RED; echo "ERROR: ramdisk size calculation error" echo " the image to copy was bigger than expected" @@ -193,7 +191,7 @@ fi # get size of the copied image - local REAL_SIZE=$(du -k ${RAMDISK}/${ISOFILE} | awk '{print $1}') + local REAL_SIZE=$(du -k ${RAMDISK}/${IMAGE} | awk '{print $1}') let REAL_SIZE=REAL_SIZE*10/1024+5 # do correct rounding let REAL_SIZE=REAL_SIZE/10 @@ -217,7 +215,7 @@ /sbin/mount -n -o remount,ro,size=${RAMDISK_SIZE}k shmfs ${RAMDISK} # loop mount final ISO image from ramdisk - /sbin/mount -n -t iso9660 -o loop,ro ${RAMDISK}/${ISOFILE} ${mountpoint} + /sbin/mount -n -t ${IMAGEFS} -o loop,ro ${RAMDISK}/${IMAGE} ${mountpoint} if [ $? -ne 0 ]; then $RED; echo "FATAL-ERROR: mounting the copied image failed" @@ -360,9 +358,28 @@ sync $NORMAL fi - if [ -e /cd/bootcd.iso ] ; then + if [[ $(ls /cd/bootcd.* 2>/dev/null) != "" ]]; then echo $disk > /shm/DL_DEVICE + FILEMOUNT="/cd" + if [ -e /cd/bootcd.squash ] ; then + IMAGE="bootcd.squash" + IMAGEFS="squashfs" + elif [ -e /cd/bootcd.iso ] ; then + IMAGE="bootcd.iso" + IMAGEFS="iso9660" + else + $RED + echo "ERROR: image file not found!" + echo + echo 'Please report to bu...@de...' + echo + $NORMAL + sleep 10 + exit 1 + + fi + # run from ram if correct variable is set if ! run_from_ram --file; then # since this could be flash disk, lets make read-only. @@ -371,7 +388,7 @@ # because bootcd.iso is still mounted inside it. # RO will make it less painfull. /sbin/mount -o remount,ro,noatime $disk 2> /dev/null - /sbin/mount -o loop -t iso9660 /cd/bootcd.iso ${mountpoint} || return 1 + /sbin/mount -o loop -t ${IMAGEFS} ${FILEMOUNT}/${IMAGE} ${mountpoint} || return 1 dl_version=`cat /cd/DEVIL-LINUX 2> /dev/null` if [ ! $silent ]; then $YELLOW |
|
From: Serge L. <sma...@us...> - 2009-01-23 03:16:40
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv32543 Modified Files: build-iso Log Message: - don't mix zisofs and squashfs... Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.83 retrieving revision 1.84 diff -u -d -r1.83 -r1.84 --- build-iso 14 Jan 2009 19:03:09 -0000 1.83 +++ build-iso 23 Jan 2009 01:44:24 -0000 1.84 @@ -417,8 +417,14 @@ -iso-level 2 \ -quiet . - if [ "$CONFIG_SQUASHFS" = "y" ]; then - mksquashfs $CDDIR $WORKDIR/bootcd.squash + if [ "$CONFIG_SQUASHFS" = "y" ]; then + if [ "$CONFIG_ZISOFS" = "y" ]; then + rm -rf $CDDIR.squash 2>/dev/null + mkzftree -u -p $CONFIG_PMAKE $CDDIR $CDDIR.squash + CDDIR="$CDDIR.squash" + fi + rm -f $WORKDIR/bootcd.squash 2>/dev/null + mksquashfs $CDDIR $WORKDIR/bootcd.squash -b 1M -no-exports -no-recovery fi popd > /dev/null |
|
From: Serge L. <sma...@us...> - 2009-01-14 20:37:41
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv15857 Modified Files: ntp Log Message: - configuration was simplifyed a bit Index: ntp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/ntp,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- ntp 22 Feb 2007 13:43:16 -0000 1.22 +++ ntp 14 Jan 2009 20:37:27 -0000 1.23 @@ -52,8 +52,6 @@ cp -dpR html/* $DOCDIR/ntp || exit 1 mkdir -p $ETCDIR/etc/ntp/ - echo "## examples:" > $ETCDIR/etc/ntp/step-tickers - echo "#ptbtime1.ptb.de ptbtime2.ptb.de" >> $ETCDIR/etc/ntp/step-tickers echo "0.000" > $ETCDIR/etc/ntp/drift touch $ETCDIR/etc/ntp/keys cp $MYDIR/scripts/xntpd $ETCDIR/etc/init.d || exit 1 |
|
From: Serge L. <sma...@us...> - 2009-01-14 20:37:35
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv15857/scripts Modified Files: ntp.conf Log Message: - configuration was simplifyed a bit Index: ntp.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/ntp.conf,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- ntp.conf 26 Jul 2005 18:47:47 -0000 1.4 +++ ntp.conf 14 Jan 2009 20:37:27 -0000 1.5 @@ -14,7 +14,6 @@ fudge 127.127.1.0 stratum 10 ## TIME SERVERS -# don't forget to copy each servername to /etc/ntp/step-tickers # see http://www.eecis.udel.edu/~mills/ntp/servers.htm and # and http://www.boulder.nist.gov/timefreq/service/time-servers.html # for a list of available servers |
|
From: Serge L. <sma...@us...> - 2009-01-14 20:06:50
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv12799 Modified Files: xntpd Log Message: - oops Index: xntpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/xntpd,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- xntpd 14 Jan 2009 19:48:43 -0000 1.7 +++ xntpd 14 Jan 2009 20:06:41 -0000 1.8 @@ -48,7 +48,7 @@ case "$1" in start) NTP_SERVERS=$(grep server /etc/ntp.conf | grep -v "^#\|^$\|127\." | awk '{ print $2 }') - if [ x"$NTP_SERVERS" != "x" ]; then + if [ "x$NTP_SERVERS" != "x" ]; then echo -n "Synchronizing with time servers:" $NTP_SERVERS loadproc /usr/bin/ntpdate -s -b -p 8 -u $NTP_SERVERS fi |
|
From: Serge L. <sma...@us...> - 2009-01-14 19:48:52
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv11211 Modified Files: xntpd Log Message: - configuration was simplifyed a bit Index: xntpd =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/xntpd,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- xntpd 25 Jul 2005 17:16:58 -0000 1.6 +++ xntpd 14 Jan 2009 19:48:43 -0000 1.7 @@ -47,11 +47,12 @@ case "$1" in start) - if [ -s /etc/ntp/step-tickers ]; then - echo -n "Synchronizing with time server: " - loadproc /usr/bin/ntpdate -s -b -p 8 -u \ - `sed -e 's/#.*//' /etc/ntp/step-tickers` + NTP_SERVERS=$(grep server /etc/ntp.conf | grep -v "^#\|^$\|127\." | awk '{ print $2 }') + if [ x"$NTP_SERVERS" != "x" ]; then + echo -n "Synchronizing with time servers:" $NTP_SERVERS + loadproc /usr/bin/ntpdate -s -b -p 8 -u $NTP_SERVERS fi + if [ -f /etc/sysconfig/jail/$PACKAGE_NAME ] && [ "$JAIL_ENABLE" == yes ]; then /etc/init.d/jail start $PACKAGE_NAME fi |
|
From: Serge L. <sma...@us...> - 2009-01-14 19:03:19
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7070/d Modified Files: build-iso Added Files: squashfs Log Message: - updated bind (openssl bug fixed) - updated EXAMPLES in dst - re-added frandom patch - added initial squashfs support Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.82 retrieving revision 1.83 diff -u -d -r1.82 -r1.83 --- build-iso 19 May 2008 12:37:20 -0000 1.82 +++ build-iso 14 Jan 2009 19:03:09 -0000 1.83 @@ -417,6 +417,9 @@ -iso-level 2 \ -quiet . + if [ "$CONFIG_SQUASHFS" = "y" ]; then + mksquashfs $CDDIR $WORKDIR/bootcd.squash + fi popd > /dev/null popd > /dev/null --- NEW FILE: squashfs --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/squashfs,v $ # $Revision: 1.1 $ # $Date: 2009/01/14 19:03:09 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: squashfs # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_SQUASHFS" = "y" ]; then if [ ! -f .dl.patch.done ]; then bzcat $SRCDIR/squashfs3.4-dl.patch.bz2 | patch -p0 || exit 1 touch .dl.patch.done fi # patch kernel SQUASHFS_DIR=`pwd` pushd $KERNELDIR > /dev/null patch -p1 < $SQUASHFS_DIR/kernel-patches/linux-2.6.27-rc4/squashfs3.4-patch || exit 1 echo -e "CONFIG_SQUASHFS=y\n# CONFIG_SQUASHFS_EMBEDDED is not set\nCONFIG_SQUASHFS_FRAGMENT_CACHE_SIZE=3\n" >> .config || exit 1 popd > /dev/null # Build userspace make -C squashfs-tools/ all || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_SQUASHFS" = "y" ]; then cp -af squashfs-tools/{mksquashfs,unsquashfs} /usr/sbin/ || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2009-01-14 19:03:19
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7070/d/configuration Modified Files: prepare.config Log Message: - updated bind (openssl bug fixed) - updated EXAMPLES in dst - re-added frandom patch - added initial squashfs support Index: prepare.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/prepare.config,v retrieving revision 1.25 retrieving revision 1.26 diff -u -d -r1.25 -r1.26 --- prepare.config 10 Jan 2009 17:28:02 -0000 1.25 +++ prepare.config 14 Jan 2009 19:03:10 -0000 1.26 @@ -12,6 +12,7 @@ test "$CONFIG_KERNEL_CPU" != "686" -a "$CONFIG_KERNEL_CPU" != "VIAC3_2" -a "$CONFIG_PSCHED_CLOCK_SOURCE" = "PSCHED_CPU" && CONFIG_PSCHED_CLOCK_SOURCE=PSCHED_JIFFIES menu_add "Build Configuration|Size Optimization" bool "Compressed ISO (ZISOFS)" CONFIG_ZISOFS +menu_add "Build Configuration|Size Optimization" bool "Compressed image (SQUASHFS)" CONFIG_SQUASHFS menu_add "Build Configuration|Processor and Memory" list "Kernel CPU" CONFIG_KERNEL_CPU 486 586 686 VIAC3_2 AMD_K8 menu_add "Build Configuration|Processor and Memory" list "Emulate CPU (build system)" CONFIG_CPU 486 586 686 menu_add "Build Configuration|Processor and Memory" list "GCC CPU" CONFIG_GCC_CPU i486 i586 i686 pentium3 pentium4 prescott nocona k6 athlon athlon-xp k8 c3 c3-2 |
|
From: Serge L. <sma...@us...> - 2009-01-14 19:03:18
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7070 Modified Files: md5sum.lst CHANGES Log Message: - updated bind (openssl bug fixed) - updated EXAMPLES in dst - re-added frandom patch - added initial squashfs support Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.465 retrieving revision 1.466 diff -u -d -r1.465 -r1.466 --- md5sum.lst 11 Jan 2009 01:45:54 -0000 1.465 +++ md5sum.lst 14 Jan 2009 19:03:10 -0000 1.466 @@ -138,7 +138,7 @@ a1ed8366c9edb814b90d1616ac20390e src/bash-3.2-fixes-7.patch.bz2 00bfa16d58e034e3c2aa27f390390d30 src/bash-3.2.tar.gz d541419fd7e5642952d7b48cbb40c712 src/beep-1.2.2.tar.gz -16c893f73a394c8cc36d7900cb9bb801 src/bind-9.5.0-P2.tar.gz +8afc7f95f4fad1eaaba09596617b8089 src/bind-9.5.1-P1.tar.gz 9d22ee4dafa3a194457caf4706f9cf01 src/binutils-2.18.tar.bz2 c8090dac572e97215622f6ec36d4b893 src/binutils-patches.tar.bz2 22327efdd5080e2b1acb6e560a04b43a src/bison-2.3.tar.gz @@ -206,7 +206,7 @@ 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz ea83ea2000a5b2e1744c7c97eb5585d1 src/dovecot-1.1.7.tar.gz 056b8c8b3ad9415a52c01b22ff1e64cf src/dspam-3.8.0.tar.gz -eaff064166337452371a7cc256586cb7 src/dst-11.tar.bz2 +c2e3cbbc87dba79e5a8b178f401c9884 src/dst-11.tar.bz2 b931c02e2b23342f664276ef26d1502c src/dvd+rw-tools-5.21.4.10.8.tar.gz 519bc00c3315e127530dbe6968358634 src/e100-3.5.17.tar.gz 6ef9c9cffb57c24c5f564438a6889558 src/e1000-8.0.6.tar.gz @@ -311,7 +311,7 @@ 9bdffecce7ef910feaa06452d48843de src/joe-3.5.tar.gz dbd5f3b47ed13132f04c685d608a7547 src/jpegsrc.v6b.tar.gz ba3fd20e6c79e58422c3cc6b28718939 src/kbd-1.15.tar.gz -710733cdb00d2fe93fe26de2b7706a61 src/kernel-patches-2.6.tar.bz2 +22ae27c1c5d9649e80508858a1c075ab src/kernel-patches-2.6.tar.bz2 31e7156698a6f214b4067afb9e13728f src/kid-0.9.6.tar.gz f32a9647deed175dd6bcc5e22d907541 src/krb5-1.6.3.tar.gz c5dba6b80f583070fe9e6ed6e0c2162e src/l2tpd-0.69.tar.gz @@ -520,6 +520,8 @@ a282846532ecbd6b4a28072373b3a70b src/smartmontools-5.38.tar.gz a41fd96894ab59ae4df45aa5f3345c52 src/snort-2.8.1.tar.gz 23cd36188f21d427d45191d317bcbcd5 src/sqlite-3.6.6.2.tar.gz +f70da797b6a03208378eafad4140fbe6 src/squashfs3.4-dl.patch.bz2 +2a4d2995ad5aa6840c95a95ffa6b1da6 src/squashfs3.4.tar.gz 4009abfbf33d86f40db3ec4280716a0e src/squid-3.0.STABLE9.tar.bz2 b6700f59c48fde5ad4d12f871acba93a src/squidGuard-1.2.1.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1237 retrieving revision 1.1238 diff -u -d -r1.1237 -r1.1238 --- CHANGES 10 Jan 2009 17:28:02 -0000 1.1237 +++ CHANGES 14 Jan 2009 19:03:10 -0000 1.1238 @@ -21,6 +21,13 @@ # # +1.3.7 +- updated EXAMPLES in dst (sl) +- re-added frandom patch (sl) +- initail support of squashfs3.4 (sl) +- updated bind to 9.5.1-P1 (sl) + + 1.3.6 - vmware init script now changes the scheduler to noop for all block devices (better perfomance since the vm host needs to schedule across all vms) |